Subject: WD90C20 Chipset software
From: [email-masked] (Josh Grosse)
Date: Fri, 26 Feb 1993 16:47:43 GMT
Newsgroups: comp.windows.x.i386unix,comp.os.linux.announce

The WD90C20 chipset is designed to drive a notebook LCD display or an external
monitor, by software switch.  I have designed a modification to the Linux
kernal to switch to the external monitor during the bootup process.

The software modification is described in file "wd90c20.doc", which I have
uploaded to tsx-11.mit.edu in directory "/incoming".

I've attached a copy of the file here for those without internet access.

--------------------------------------------

! For WD90C20 users who want Linux to shift to an external monitor.
! Place the following code into /usr/src/linux/boot/setup.S, in the
! section where BIOS calls are made to determine memory, disk configuration,
! etc.  This code assumes the Quadtel WD90C20 BIOS.
!
!   Questions or comments can be mailed to [email-masked],
!   though no warranty is expressed or implied.  Your mileage may vary.
!   Some settling of contents may occur during shipping.  All models are
!   over 18.

	mov	ax,#0xf402
	mov	bx,#0x00
	int	0x15		! tell BIOS we'll be on the external monitor
	mov	ax,#0x5f51
	mov	bx,#0x00
	int	0x10		! make the shift to the monitor
	mov	ax,#0x03
	int	0x10		! set video mode 3 (80x24)

-----------------------

-- 
-----------------------------------------------------------------
Josh Grosse                                [email-masked]
Amdahl Corp.                               313-358-4440
Southfield, Michigan